Subject: Re: [PATCH net-next 2/3] net: netpoll: Individualize the skb pool

From: Jakub Kicinski <[email-masked]>
Date: Thu, 31 Oct 2024 18:28:57 -0700

On Fri, 25 Oct 2024 07:20:19 -0700 Breno Leitao wrote:
> The current implementation of the netpoll system uses a global skb pool,
> which can lead to inefficient memory usage and waste when targets are
> disabled or no longer in use.
> 
> This can result in a significant amount of memory being unnecessarily
> allocated and retained, potentially causing performance issues and
> limiting the availability of resources for other system components.
> 
> Modify the netpoll system to assign a skb pool to each target instead of
> using a global one.
> 
> This approach allows for more fine-grained control over memory
> allocation and deallocation, ensuring that resources are only allocated
> and retained as needed.

If memory consumption is a concern then having n pools for n targets
rather than one seems even worse? 

Is it not better to flush the pool when last target gets disabled?